#ifndef TETRIS_H
#define TETRIS_H

#include <Qt>
#include <QtGui/QDialog>
#include "cgamefield.h"

namespace Ui
{
    class CTetris;
}

class CTetris : public QDialog
{
    Q_OBJECT

public:
    CTetris(QWidget *parent = 0);
    ~CTetris();

protected:
    void paintEvent(QPaintEvent *event);
    void keyPressEvent(QKeyEvent *event);
    void timerEvent(QTimerEvent *event);
    CGameField  l_GameField;

private:
    Ui::CTetris *ui;

private slots:
    void on_pushButton_2_clicked();
    void on_pushButton_clicked();
};

#endif // TETRIS_H
